function Altimeter() {}


Altimeter.prototype.initialize = function () {
    

    var self = this;
    

	
	var str = '<div class="background" id="background_t"><a id="calibration" style="display:block; position:absolute; left:4.296875%; top:79.6875%; width:17.1875%; height:16.015625%;"  href="#"></a><div id="needle1000" class="needle1000"></div><div id="needle100" class="needle100"></div><div id="needle10000" class="needle10000"></div></div> ';
	$(this.rootElement).html(str); //apply HTML before continuing

	this.bgElement = document.getElementById("background_t");
    this.needle1000 = document.getElementById("needle100");
	this.needle100 = document.getElementById("needle1000");
	this.needle10000 = document.getElementById("needle10000");
	this.calibration = 0;
	
	$( "#calibration" ).click(function() {
		self.calibration = null;
	});	

};



Altimeter.prototype.resize = function(){
   var width = this.rootElement.width();
	var height = this.rootElement.height();
	var size = Math.min(width,height);
	
	this.bgElement.style.height = (size/height) * 100 + "%";
    this.bgElement.style.width = (size/width) * 100 + "%";
	this.bgElement.style.left = ((this.rootElement.width() / 2) - (size/2)) / width * 100 + "%";
	this.bgElement.style.top= ((this.rootElement.height() / 2) - (size/2)) / height * 100 + "%";

};

Altimeter.prototype.update = function (streams) { 
  //Convert meters to feet.  Sea level is not accomidated
  //rather the 0,0,0 level on maps

  var alt = (streams.sensors.position.z  * 3.28083 ) - this.calibration;
   if(this.calibration == null){
   		this.calibration = alt;
   }
   
  //calculate rotation angles
  var none = ((alt/1000) * 360 - 1) % 360;
  var ntwo = ((alt/100) * 360 - 1) % 360;
  var nthree = ((alt/10000) * 360 - 1) % 360;
  
   //apply rotation angles
   this.needle100.style.webkitTransform = 'rotate('+ none +'deg)';  //Convert YAW (radians) to degrees for CSS
   this.needle1000.style.webkitTransform = 'rotate('+  ntwo +'deg)';  //Convert YAW (radians) to degrees for CSS
   this.needle10000.style.webkitTransform = 'rotate('+  nthree +'deg)';  //Convert YAW (radians) to degrees for CSS
};
